Bug 1116 - doesn\'t work in linux VC
: doesn\'t work in linux VC
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libgpm)
: unstable
: all Linux
: P4 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-07-17 11:30 by
Modified: 2003-08-25 15:18 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-07-17 11:30:56
programs that use mouse in linux VC (through libgpm) have lost this feature wit
the new libgpm. libgpm contains code that always fails if only not TERM=xterm.

---
login into a linux VC, start mc, try to do smth with the mouse. It doesn\'t
react upon mouse actions.

The same thing in GNU Emacs started in a VC. There, you are able to see the
error messages printed by libgpm (in \'*Messages*\' buffer: C-x b ...): they
very similar to those printed in Eterm+mc (see #1086).

---
libgpm-1.20.1-alt0.1rc1
------- Comment #1 From 2002-07-17 18:40:38 -------
Fixed in gpm-1.20.1-alt0.2rc1
------- Comment #2 From 2002-07-17 18:40:38 -------
Fixed in gpm-1.20.1-alt0.2rc1
------- Comment #3 From 2002-07-18 12:39:10 -------
Now the situation is better, but not perfect.

$ rpm -q mc gpm libgpm; rpm -V mc gpm libgpm
mc-4.5.99a-alt2
gpm-1.20.1-alt0.2rc1
libgpm-1.20.1-alt0.2rc1

After running /sbin/pam_console_apply, the mouse works in mc and in links in linux VC. (That\'s not good that after upgrading gpm, the permissions are not correct for /dev/gpmctl.)

Ctrl-O in mc doesn\'t work as expected (doesn\'t show the hidden screen), probably because of the debugging garbage from libgpm. (For instance, start man rpm in the backscreen of MC, then press Ctrl-O a pair of times, and you won\'t see the man-page.)

GNU Emacs still reports errors, this is for sure because of the debugging messages printed out by /usr/bin/mev.

Please, disable debugging output of libgpm.
------- Comment #4 From 2002-07-18 12:39:10 -------
Now the situation is better, but not perfect.

$ rpm -q mc gpm libgpm; rpm -V mc gpm libgpm
mc-4.5.99a-alt2
gpm-1.20.1-alt0.2rc1
libgpm-1.20.1-alt0.2rc1

After running /sbin/pam_console_apply, the mouse works in mc and in links in linux VC. (That\'s not good that after upgrading gpm, the permissions are not correct for /dev/gpmctl.)

Ctrl-O in mc doesn\'t work as expected (doesn\'t show the hidden screen), probably because of the debugging garbage from libgpm. (For instance, start man rpm in the backscreen of MC, then press Ctrl-O a pair of times, and you won\'t see the man-page.)

GNU Emacs still reports errors, this is for sure because of the debugging messages printed out by /usr/bin/mev.

Please, disable debugging output of libgpm.
------- Comment #5 From 2002-07-18 12:48:47 -------
Running man is a bad example. Well, simply a shell prompt should be there, in
xterm it is there, un linux VC thje screen is empty.
------- Comment #6 From 2002-07-18 12:48:47 -------
Running man is a bad example. Well, simply a shell prompt should be there, in
xterm it is there, un linux VC thje screen is empty.
------- Comment #7 From 2002-07-19 14:02:59 -------
Added call to /sbin/pam_console_apply at the gpm startup in
libgpm-1.20.1-alt0.3rc1
------- Comment #8 From 2002-07-19 14:02:59 -------
Added call to /sbin/pam_console_apply at the gpm startup in
libgpm-1.20.1-alt0.3rc1
------- Comment #9 From 2002-10-27 20:35:39 -------
$ rpm -qa \\*gpm\\*
libgpm-1.20.1-alt0.5rc1
gpm-1.20.1-alt0.5rc1

Again, programs run in linux console don\'t work with gpm:

links has no reaction on mouse clicks at menu-items (links-0.97-alt2). mc crashes. Emacs+mev doesn\'t work as they should.
------- Comment #10 From 2002-10-27 20:35:39 -------
$ rpm -qa \\*gpm\\*
libgpm-1.20.1-alt0.5rc1
gpm-1.20.1-alt0.5rc1

Again, programs run in linux console don\'t work with gpm:

links has no reaction on mouse clicks at menu-items (links-0.97-alt2). mc crashes. Emacs+mev doesn\'t work as they should.
------- Comment #11 From 2002-10-27 21:25:15 -------
Latest fix (libgpm-1.20.1-alt0.5rc1) apparently breaks libgpm in linux console.
------- Comment #12 From 2002-10-27 21:25:15 -------
Latest fix (libgpm-1.20.1-alt0.5rc1) apparently breaks libgpm in linux console.
------- Comment #13 From 2002-10-27 22:21:54 -------
Fixed in
libgpm-1.20.1-alt0.6rc1
------- Comment #14 From 2002-10-27 22:21:54 -------
Fixed in
libgpm-1.20.1-alt0.6rc1